#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Handy.Objects.Arrows where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Arrows = Arrows (ManagedPtr Arrows)
instance GObject Arrows where
class (GObject o, O.IsDescendantOf Arrows o) => IsArrows o
instance (GObject o, O.IsDescendantOf Arrows o) => IsArrows o
instance O.HasParentTypes Arrows
#if ENABLE_OVERLOADING
data ArrowsCountPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ArrowsDirectionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ArrowsDurationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data ArrowsAnimateMethodInfo
#endif
#if ENABLE_OVERLOADING
data ArrowsGetCountMethodInfo
#endif
#if ENABLE_OVERLOADING
data ArrowsGetDirectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ArrowsGetDurationMethodInfo
#endif
#if ENABLE_OVERLOADING
data ArrowsSetCountMethodInfo
#endif
#if ENABLE_OVERLOADING
data ArrowsSetDirectionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ArrowsSetDurationMethodInfo
#endif
