#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Handy.Objects.Leaflet where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Leaflet = Leaflet (ManagedPtr Leaflet)
instance GObject Leaflet where
class (GObject o, O.IsDescendantOf Leaflet o) => IsLeaflet o
instance (GObject o, O.IsDescendantOf Leaflet o) => IsLeaflet o
instance O.HasParentTypes Leaflet
#if ENABLE_OVERLOADING
data LeafletChildTransitionDurationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletChildTransitionRunningPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletChildTransitionTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletFoldPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletFoldedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletHhomogeneousFoldedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletHhomogeneousUnfoldedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletInterpolateSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletModeTransitionDurationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletModeTransitionTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletVhomogeneousFoldedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletVhomogeneousUnfoldedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletVisibleChildPropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletVisibleChildNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data LeafletGetChildTransitionDurationMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletGetChildTransitionRunningMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletGetChildTransitionTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletGetFoldMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletGetHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletGetInterpolateSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletGetModeTransitionDurationMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletGetModeTransitionTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletGetVisibleChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletGetVisibleChildNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletSetChildTransitionDurationMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletSetChildTransitionTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletSetHomogeneousMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletSetInterpolateSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletSetModeTransitionDurationMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletSetModeTransitionTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletSetVisibleChildMethodInfo
#endif
#if ENABLE_OVERLOADING
data LeafletSetVisibleChildNameMethodInfo
#endif
